<template>
  <v-container
    fluid
    :class="
      $vuetify.breakpoint.smAndDown
        ? 'slideup-everywher mt-80'
        : 'slideup-everywher mt-140 pr-12 pl-12'
    "
  >
    <div class="pa-12">
      <v-row align="center" justify="center" class="text-center">
        <v-col cols="12" md="7">
          <CircleAvatar :avatar="id" />
          <h2 class="grey--text title pt-4 pb-4">
            {{ $t(`teamMember.${id}.name`) }}
          </h2>
          <h3 class="grey--text title pt-4 pb-4">
            {{ $t(`teamMember.${id}.role`) }}
          </h3>
          <!-- <p v-if="$t(`teamMember.${id}.description`)">
            {{ $t(`teamMember.${id}.description`) }}
          </p> -->
          <div class="text-center pa-2">
            <v-btn
              v-for="item in social"
              :key="item.title"
              icon
              color="blue"
              :href="item.link"
              target="_blank"
              x-large
            >
              <i class="abi">si_{{ item.title }}</i>
            </v-btn>
          </div>
        </v-col>
      </v-row>
    </div>
  </v-container>
</template>

<script>
import { memberConst } from '~/locales/member-config.js';
export default {
  data() {
    return {
      id: this.$route.params.id,
      social: [],
    };
  },
  mounted() {
    this.a();
  },
  methods: {
    a() {
      memberConst.forEach((i) => {
        if (this.id === i.id) {
          const links = i.socialmedia;
          this.social = links;
        }
      });
    },
  },
  head() {
    return {
      title: `${this.$t(`teamMember.${this.id}.name`)} | ${this.$t('head.title')}`,
    };
  },
};
</script>
